## org.eclipse.datatools.connectivity.oda.spec
Class AdvancedQuerySpecification

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.spec.QuerySpecification
          org.eclipse.datatools.connectivity.oda.spec.AdvancedQuerySpecification

    public class AdvancedQuerySpecification

extends QuerySpecification

Extended specification of the query characteristics to apply when preparing and executing a query text of an `IAdvancedQuery`. It takes effect only if assigned prior to an IAdvancedQuery prepares a query text at `IQuery.prepare(String)`.

Since:
  3.3 (DTP 1.8)

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.datatools.connectivity.oda.spec.QuerySpecification
`QuerySpecification.ParameterIdentifier`

Method Summary
`ResultSetSpecification` `getResultSetSpecification(int resultSetNum)` Gets the specification of the specified result set to be retrieved by the associated `IAdvancedQuery`.
`ResultSetSpecification` `getResultSetSpecification(java.lang.String resultSetName)` Gets the specification of the named result set to be retrieved by the associated `IAdvancedQuery`.
`void` `setResultSetSpecification(int resultSetNum, ResultSetSpecification resultSpec)` Specifies the characteristics of the specified result set to be retrieved by the associated `IAdvancedQuery`.
`void` `setResultSetSpecification(java.lang.String resultSetName, ResultSetSpecification resultSpec)` Specifies the characteristics of the named result set to be retrieved by the associated `IAdvancedQuery`.

Methods inherited from class org.eclipse.datatools.connectivity.oda.spec.QuerySpecification
`getParameterValue, getParameterValue, getParameterValue, getParameterValues, getProperties, getProperty, getResultSetSpecification, hasResultSetSpecification, setParameterValue, setParameterValue, setParameterValue, setParameterValues, setProperties, setProperty, setResultSetSpecification, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setResultSetSpecification

    public void setResultSetSpecification(java.lang.String resultSetName,
                                          ResultSetSpecification resultSpec)

  Specifies the characteristics of the named result set to be retrieved by the associated `IAdvancedQuery`.
  This overrides the default specification set by the base class method `QuerySpecification.setResultSetSpecification(ResultSetSpecification)`.

  Parameters:
    `resultSetName` - the name of a result set
    `resultSpec` - specification of the specified result set

### getResultSetSpecification

    public ResultSetSpecification getResultSetSpecification(java.lang.String resultSetName)

  Gets the specification of the named result set to be retrieved by the associated `IAdvancedQuery`.

  Parameters:
    `resultSetName` - the name of a result set
  Returns:
    the `ResultSetSpecification` of the specified result set, or null if not specified

### setResultSetSpecification

    public void setResultSetSpecification(int resultSetNum,
                                          ResultSetSpecification resultSpec)

  Specifies the characteristics of the specified result set to be retrieved by the associated `IAdvancedQuery`.
  This overrides the default specification set by the base class method `QuerySpecification.setResultSetSpecification(ResultSetSpecification)`.

  Parameters:
    `resultSetNum` - a 1-based index number that indicates the sequence of a result set among a sequential set of multiple result sets
    `resultSpec` - specification of the specified result set

### getResultSetSpecification

    public ResultSetSpecification getResultSetSpecification(int resultSetNum)

  Gets the specification of the specified result set to be retrieved by the associated `IAdvancedQuery`.

  Parameters:
    `resultSetNum` - a 1-based index number that indicates the sequence of a result set among a sequential set of multiple result sets
  Returns:
    the `ResultSetSpecification` of the specified result set, or null if not specified